=== debian/changelog ===
cimg (1.5.6-1) unstable; urgency=low

  * New upstream version (adapted patches)
    debian/patches/30_fix-opencv-ftbfs.patch disabled because applied upstream
  * debian/patches/30_do_not_build_minc2_examples.patch: Examples will
    file when trying to use minc file format so exclude these from build
  * debian/control:
     - Standards-Version: 3.9.4 (no changes needed)
     - Fixed VCS fields
     - cme fix dpkg-control
     - Moved libcv-dev from Suggests to Depends
     - Build-Depends: libopencv-core-dev, libopencv-highgui-dev to enable
       compiling examples
  * debian/rules:
     - use xz compression for repackaging
     - build examples in dh_auto_test rather than dh_auto_install because
       it is actually only a test whether everything compiles nicely
     - Do not try to install upstream changelog which is not contained in
       upstream source any more

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jul 2013 00:15:19 +0200
