=== debian/control ===
Source: cimg
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
           Christophe Prud'homme <prudhomm@debian.org>,
           Andreas Tille <tille@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: doxygen,
                     libx11-dev,
                     libxrandr-dev,
                     libmagick++-dev,
                     libfftw3-dev | fftw3-dev,
                     libgimp2.0-dev,
                     libcv-dev,
                     libhighgui-dev,
                     libminc-dev
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/cimg/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/cimg/trunk/
Homepage: http://cimg.sourceforge.net/

Package: cimg-dev
Architecture: all
Depends: libx11-dev,
         libxrandr-dev,
         libcv-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: xmedcon,
          lapack3-dev,
          cimg-doc,
          cimg-examples,
          libmagick++-dev,
          libfftw3-dev | fftw3-dev,
          libgimp2.0-dev,
          libhighgui-dev
Description: powerful image processing library
 The CImg Library is a C++ toolkit providing simple classes and functions
 to load, save, process and display images in your own C++ code. It consists
 only of a single header file CImg.h that must be included in your program
 source. It contains useful image processing algorithms for loading/saving,
 resizing/rotating, filtering, object drawing (text, lines, faces,
 ellipses, ...), etc.
 .
 Images are instantiated by a class able to represent images up to 4-dimension
 wide (from 1-D scalar signals to 3-D volumes of vector-valued pixels), with
 template pixel types. It depends on a minimal number of libraries : you can
 compile it with only standard C libraries. No need for exotic libraries and
 complex dependencies.

Package: cimg-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Enhances: cimg-dev
Description: documentation of cimg-dev imaging library
 The CImg Library is a C++ toolkit providing simple classes and functions
 to load, save, process and display images in your own C++ code. It consists
 only of a single header file CImg.h that must be included in your program
 source. It contains useful image processing algorithms for loading/saving,
 resizing/rotating, filtering, object drawing (text, lines, faces,
 ellipses, ...), etc.
 .
 Images are instantiated by a class able to represent images up to 4-dimension
 wide (from 1-D scalar signals to 3-D volumes of vector-valued pixels), with
 template pixel types. It depends on a minimal number of libraries : you can
 compile it with only standard C libraries. No need for exotic libraries and
 complex dependencies.
 .
 This package contains the documentation.

Package: cimg-examples
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: cimg-dev,
            libmagick++-dev,
            libfftw3-dev | fftw3-dev,
            libgimp2.0-dev,
            libcv-dev,
            libhighgui-dev
Enhances: cimg-dev,
          cimg-doc
Description: examples for cimg-dev imaging library
 The CImg Library is a C++ toolkit providing simple classes and functions
 to load, save, process and display images in your own C++ code. It consists
 only of a single header file CImg.h that must be included in your program
 source. It contains useful image processing algorithms for loading/saving,
 resizing/rotating, filtering, object drawing (text, lines, faces,
 ellipses, ...), etc.
 .
 Images are instantiated by a class able to represent images up to 4-dimension
 wide (from 1-D scalar signals to 3-D volumes of vector-valued pixels), with
 template pixel types. It depends on a minimal number of libraries : you can
 compile it with only standard C libraries. No need for exotic libraries and
 complex dependencies.
 .
 This package contains examples for the usage of the library.
