## cimg 1.5.7%2Bdfsg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
  http://sf.net/cimg/CImg-([\d\.]+)\.(?:(?:tar\.gz)|zip)
