## cimg 1.5.7+dfsg

=== examples/Makefile ===
--- 
+++ 
@@ -78,12 +78,12 @@
 	     use_RGBclass \
 
 # Files which requires external libraries to run.
-CIMG_EXTRA_FILES = use_jpeg_buffer
+CIMG_EXTRA_FILES = use_tiff_stream use_jpeg_buffer
 
 #---------------------------------
 # Set correct variables and paths
 #---------------------------------
-CIMG_VERSION = 1.5.6
+CIMG_VERSION = 1.5.7
 X11PATH      = /usr/X11R6
 CC           = g++
 EXEPFX       =
@@ -206,10 +206,10 @@
 # Flags to enable faster Discrete Fourier Transform computation, using the FFTW3 library
 # ( http://www.fftw.org/ )
 CIMG_FFTW3_CFLAGS = -Dcimg_use_fftw3
-ifeq ($(MSYSTEM),MINGW32)
+ifeq ($(OSTYPE),msys)
 CIMG_FFTW3_LDFLAGS = -lfftw3-3
 else
-CIMG_FFTW3_LDFLAGS = -lfftw3
+CIMG_FFTW3_LDFLAGS = -lfftw3 -lfftw3_threads
 endif
 
 # Flags to enable the use of LAPACK routines for matrix computation
@@ -286,6 +286,21 @@
 	rm -f $(EXEPFX)*
 endif
 
+# Custom user-defined target
+custom:
+	@$(MAKE) \
+"CONF_CFLAGS = \
+$(CIMG_ANSI_CFLAGS) \
+$(CIMG_VT100_CFLAGS) \
+$(CIMG_TIFF_CFLAGS) \
+$(CIMG_X11_CFLAGS) \
+$(CIMG_XSHM_CFLAGS)" \
+"CONF_LDFLAGS = \
+$(CIMG_X11_LDFLAGS) \
+$(CIMG_TIFF_LDFLAGS) \
+$(CIMG_XSHM_LDFLAGS)" \
+all $(CIMG_EXTRA_FILES)
+
 # Linux/BSD/Mac OSX targets, with X11 display.
 linux:
 	@$(MAKE) \
@@ -348,17 +363,3 @@
 $(CIMG_EXR_CFLAGS) \
 $(CIMG_PNG_CFLAGS) \
 $(CIMG_JPEG_CFLAGS) \
-$(CIMG_ZLIB_CFLAGS) \
-$(CIMG_OPENCV_CFLAGS) \
-$(CIMG_MAGICK_CFLAGS) \
-$(CIMG_FFTW3_CFLAGS)" \
-"CONF_LDFLAGS = \
-$(CIMG_X11_LDFLAGS) \
-$(CIMG_XSHM_LDFLAGS) \
-$(CIMG_XRANDR_LDFLAGS) \
-$(CIMG_TIFF_LDFLAGS) \
-$(CIMG_MINC2_LDFLAGS) \
-$(CIMG_EXR_LDFLAGS) \
-$(CIMG_PNG_LDFLAGS) \
-$(CIMG_JPEG_LDFLAGS) \
-$(CIMG_ZLIB_LDFLAGS) \
