=== debian/changelog ===
cimg (1.5.7+dfsg-1) unstable; urgency=low

  * debian/copyright: Exclude non-free image file
    Closes: #735342
  * debian/control:
     - cme fix dpkg-control
     - remove inactive Uploaders
     - Build-Depends: libtiffxx5
     - Suggests: libtiff5-dev, libtiffxx5
  * debian/cimg-doc.doc-base:  Readd PDF documentation
  * debian/watch: mangle Debian version
  * debian/patches/20_include_ltiffxx.patch: examples also need -ltiffxx
  * debian/rules: remove code violating user privacy

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jan 2014 14:03:50 +0100
