=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 pkg=cimg-dev
 examples=cimg-examples
+doc=cimg-doc
 
 %:
 	dh $@
@@ -21,10 +22,9 @@
 	            --exclude=.raw \
 	            --exclude=.gmic
 
-# override_dh_installchangelogs:
-	# dh_installchangelogs --exclude=CHANGES.txt
-	# mkdir -p $(CURDIR)/debian/$(pkg)/usr/share/doc/$(pkg)
-	# cp -a CHANGES.txt $(CURDIR)/debian/$(pkg)/usr/share/doc/$(pkg)/changelog
+override_dh_installdocs:
+	dh_installdocs
+	find debian/cimg-doc -type f -name "*.html" -exec debian/remove_privacy_violating_js_code \{\} \;
 
 override_dh_auto_test:
 	cd examples && $(MAKE) Mlinux "LDFLAGS=-lm -lpthread -lHalf"
