## cimg 1.5.9%2Bdfsg

=== debian/changelog ===
cimg (1.5.9+dfsg-1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team. 
  * CVE-2019-1010174
    Loading a special crafted image can lead to command injection, as
    no string sanitization is done on the url.
  * CVE-2018-7588, CVE-2018-7637, CVE-2018-7638,
    CVE-2018-7639, CVE-2018-7640, CVE-2018-7641
    A crafted bmp image can lead to a heap-based buffer over-read in load_bmp().
    They are different CVEs as each occurs in different image types.
  * CVE-2018-7589
    A cafted bmp image can lead to a double free in load_bmp().
 
 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 26 Sep 2019 19:03:02 +0200

cimg (1.5.9+dfsg-1) unstable; urgency=medium

  * New upstream version (adapted patches)
  * d/rules: adapt uscan syntax
  * d/watch: enable uscan to use correct version
  * d/patches/use_pkg-config.patch: Newer imagemagick version does not supply
    Magick++-config command any more but pkg-config can be used instead
    (thanks for the hint to Bastien ROUCARIES)
    Closes: #761564
  * d/copyright: change sequence of Files paragraphs to fit DEP5

 -- Andreas Tille <tille@debian.org>  Mon, 15 Sep 2014 17:16:57 +0200
