## cimg 1.5.9+dfsg

=== examples/Makefile ===
--- 
+++ 
@@ -74,6 +74,7 @@
 	     use_chlpca \
 	     use_draw_gradient \
 	     use_nlmeans \
+             use_patchmatch \
 	     use_skeleton \
 	     use_RGBclass \
 
@@ -83,7 +84,7 @@
 #---------------------------------
 # Set correct variables and paths
 #---------------------------------
-CIMG_VERSION = 1.5.7
+CIMG_VERSION = 1.5.9
 X11PATH      = /usr/X11R6
 CC           = g++
 EXEPFX       =
@@ -94,8 +95,8 @@
 ifeq ($(CC),clang++)
 CCVER        = `$(CC) -v 2>&1 | head -n 1`
 endif
-ifeq ($(CC),icc)
-CCVER        = "icc \( `$(CC) -v 2>&1`\)"
+ifeq ($(CC),icpc)
+CCVER        = "icpc \( `$(CC) -v 2>&1`\)"
 CFLAGS       = -I..
 LDFLAGS      =
 else
@@ -108,7 +109,7 @@
 #--------------------------------------------------
 
 # Flags to enable strict code standards
-ifeq ($(CC),icc)
+ifeq ($(CC),icpc)
 CIMG_ANSI_CFLAGS = -ansi
 else
 CIMG_ANSI_CFLAGS = -ansi -pedantic
@@ -122,22 +123,27 @@
 CIMG_VT100_CFLAGS = -Dcimg_use_vt100
 
 # Flags to enable code optimization by the compiler.
-ifeq ($(CC),icc)
+ifeq ($(CC),icpc)
 CIMG_OPT_CFLAGS = -O3 -ipo -no-prec-div
 else
+ifeq ($(CC),g++)
 CIMG_OPT_CFLAGS = -O3 -fno-tree-pre
+else
+CIMG_OPT_CFLAGS = -O3
+endif
 endif
 
 # Flags to enable OpenMP support.
-ifeq ($(CC),icc)
-CIMG_OPENMP_CFLAGS = -Dcimg_use_openmp -openmp -i-static
+ifeq ($(CC),icpc)
+CIMG_OPENMP_CFLAGS = #-Dcimg_use_openmp -openmp -i-static    # -> Seems to bug the compiler!
 else
 CIMG_OPENMP_CFLAGS = -Dcimg_use_openmp -fopenmp
 endif
 
 # Flags to enable OpenCV support.
 CIMG_OPENCV_CFLAGS = -Dcimg_use_opencv -I/usr/include/opencv
-CIMG_OPENCV_LDFLAGS = -lcv -lhighgui
+CIMG_OPENCV_LDFLAGS = -lopencv_core -lopencv_highgui
+#CIMG_OPENCV_LDFLAGS = -lcv -lhighgui    #-> Use this for OpenCV < 2.2.0
 
 # Flags used to disable display capablities of CImg
 CIMG_NODISPLAY_CFLAGS = -Dcimg_display=0
@@ -332,6 +338,7 @@
 "CONF_CFLAGS = \
 $(CIMG_ANSI_CFLAGS) \
 $(CIMG_OPT_CFLAGS) \
+$(CIMG_OPENMP_CFLAGS) \
 $(CIMG_VT100_CFLAGS) \
 $(CIMG_X11_CFLAGS) \
 $(CIMG_XSHM_CFLAGS)" \
@@ -352,14 +359,3 @@
 
 Mlinux:
 	@$(MAKE) \
-"CONF_CFLAGS = \
-$(CIMG_OPT_CFLAGS) \
-$(CIMG_VT100_CFLAGS) \
-$(CIMG_X11_CFLAGS) \
-$(CIMG_XSHM_CFLAGS) \
-$(CIMG_XRANDR_CFLAGS) \
-$(CIMG_TIFF_CFLAGS) \
-$(CIMG_MINC2_CFLAGS) \
-$(CIMG_EXR_CFLAGS) \
-$(CIMG_PNG_CFLAGS) \
-$(CIMG_JPEG_CFLAGS) \
