=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: cimg
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
-           Christophe Prud'homme <prudhomm@debian.org>,
-           Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: math
 Priority: optional
 Build-Depends: debhelper (>= 9)
@@ -14,8 +12,10 @@
                      libgimp2.0-dev,
                      libcv-dev,
                      libhighgui-dev,
-                     libminc-dev
-Standards-Version: 3.9.4
+                     libminc-dev,
+                     libtiff5-dev,
+                     libtiffxx5
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/cimg/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/cimg/trunk/
 Homepage: http://cimg.sourceforge.net/
@@ -34,7 +34,9 @@
           libmagick++-dev,
           libfftw3-dev | fftw3-dev,
           libgimp2.0-dev,
-          libhighgui-dev
+          libhighgui-dev,
+          libtiff5-dev,
+          libtiffxx5
 Description: powerful image processing library
  The CImg Library is a C++ toolkit providing simple classes and functions
  to load, save, process and display images in your own C++ code. It consists
@@ -97,4 +99,3 @@
  complex dependencies.
  .
  This package contains examples for the usage of the library.
-
