=== debian/rules ===
--- 
+++ 
@@ -48,4 +48,4 @@
 	dh_clean 
 
 get-orig-source:
-	uscan --verbose --rename --repack --force-download --repack-compression xz
+	uscan --verbose --repack --force-download --compression xz
