=== debian/watch ===
version=3
opts=uversionmangle=s/$/+dfsg/ \
  http://sf.net/cimg/CImg-([\d\.]+)\.(?:(?:tar\.gz)|zip)
