## cimg 1.6.4+dfsg

=== debian/changelog ===
cimg (1.6.4+dfsg-1build1) wily; urgency=medium

  * No-change rebuild against libcming.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Sep 2015 06:32:05 +0200

cimg (1.6.4+dfsg-1) unstable; urgency=medium

  * adapted d/watch to new upstream location at Github
  * Remove non-free example file via Files-Excluded
    Closes: #791399
  * cme fix dpkg-control
  * Add needed Build-Depends from libcurl
  * Recreate docs with doxygen

 -- Andreas Tille <tille@debian.org>  Mon, 13 Jul 2015 21:19:38 +0200
