## cimg 1.6.5%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,16 @@
 CHANGEFILES=gaussian_fit1d.cpp \
             use_RGBclass.cpp
 
+override_dh_clean:
+	dh_clean
+	rm -rf html/latex html/reference html/doxygen_sqlite3.db
+
+override_dh_auto_build:
+	dh_auto_build
+	cd html && doxygen CImg.doxygen && cd latex && make || true
+	# autogenerated makefile lacks a final pdflatex call to get references right (that's why the above '|| true')
+	cd html/latex && pdflatex refman
+
 override_dh_install:
 	dh_install
 	# In gaussian_fit1d.cpp the files is included into itself and thus the current directory needs to be in include path
@@ -42,6 +52,7 @@
 	    for file in $(CHANGEFILES) ; do \
 		sed -i "s?#define cimg_plugin \"examples/$$file\"?#define cimg_plugin \"$$file\"?" $$file ; \
 	    done
+	mv html/reference/* debian/$(doc)/usr/share/doc/cimg-dev/html
 
 override_dh_auto_clean:
 	-cd examples && $(MAKE) clean
