## cimg 1.6.5+dfsg

=== examples/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #
 #  Description : Makefile for compiling CImg-based code on Unix.
 #                This file is a part of the CImg Library project.
-#                ( http://cimg.sourceforge.net )
+#                ( http://cimg.eu )
 #
 #  Copyright   : David Tschumperle
 #                ( http://tschumperle.users.greyc.fr/ )
@@ -84,24 +84,24 @@
 #---------------------------------
 # Set correct variables and paths
 #---------------------------------
-CIMG_VERSION = 1.5.9
+CIMG_VERSION = _cimg_version
 X11PATH      = /usr/X11R6
 CC           = g++
 EXEPFX       =
 CCVER       = $(CC)
-ifeq ($(CC),g++)
+ifeq ($(notdir $(CC)),g++)
 CCVER        = `$(CC) -v 2>&1 | tail -n 1`
 endif
-ifeq ($(CC),clang++)
+ifeq ($(notdir $(CC)),clang++)
 CCVER        = `$(CC) -v 2>&1 | head -n 1`
 endif
-ifeq ($(CC),icpc)
+ifeq ($(notdir $(CC)),icpc)
 CCVER        = "icpc \( `$(CC) -v 2>&1`\)"
 CFLAGS       = -I..
-LDFLAGS      =
+LIBS         =
 else
 CFLAGS       = -I.. -Wall -W
-LDFLAGS      = -lm
+LIBS         = -lm
 endif
 
 #--------------------------------------------------
@@ -109,32 +109,32 @@
 #--------------------------------------------------
 
 # Flags to enable strict code standards
-ifeq ($(CC),icpc)
-CIMG_ANSI_CFLAGS = -ansi
-else
-CIMG_ANSI_CFLAGS = -ansi -pedantic
+ifeq ($(notdir $(CC)),icpc)
+CIMG_ANSI_CFLAGS = -std=c++11 -ansi
+else
+CIMG_ANSI_CFLAGS = -std=c++11 -ansi -pedantic
 endif
 
 # Flags to enable code debugging.
-CIMG_DEBUG_CFLAGS = -Dcimg_verbosity=3 -Dcimg_strict_warnings -g
+CIMG_DEBUG_CFLAGS = -Dcimg_verbosity=3 -Dcimg_strict_warnings -g -fsanitize=address
 
 # Flags to enable color output messages.
 # (requires a VT100 compatible terminal)
 CIMG_VT100_CFLAGS = -Dcimg_use_vt100
 
 # Flags to enable code optimization by the compiler.
-ifeq ($(CC),icpc)
-CIMG_OPT_CFLAGS = -O3 -ipo -no-prec-div
-else
-ifeq ($(CC),g++)
-CIMG_OPT_CFLAGS = -O3 -fno-tree-pre
-else
-CIMG_OPT_CFLAGS = -O3
+ifeq ($(notdir $(CC)),g++)
+CIMG_OPT_CFLAGS = -O2 -mtune=generic
+else
+ifeq ($(notdir $(CC)),icpc)
+CIMG_OPT_CFLAGS = -fast
+else
+CIMG_OPT_CFLAGS = -O2
 endif
 endif
 
 # Flags to enable OpenMP support.
-ifeq ($(CC),icpc)
+ifeq ($(notdir $(CC)),icpc)
 CIMG_OPENMP_CFLAGS = #-Dcimg_use_openmp -openmp -i-static    # -> Seems to bug the compiler!
 else
 CIMG_OPENMP_CFLAGS = -Dcimg_use_openmp -fopenmp
@@ -142,8 +142,8 @@
 
 # Flags to enable OpenCV support.
 CIMG_OPENCV_CFLAGS = -Dcimg_use_opencv -I/usr/include/opencv
-CIMG_OPENCV_LDFLAGS = -lopencv_core -lopencv_highgui
-#CIMG_OPENCV_LDFLAGS = -lcv -lhighgui    #-> Use this for OpenCV < 2.2.0
+CIMG_OPENCV_LIBS = -lopencv_core -lopencv_highgui
+#CIMG_OPENCV_LIBS = -lcv -lhighgui    #-> Use this for OpenCV < 2.2.0
 
 # Flags used to disable display capablities of CImg
 CIMG_NODISPLAY_CFLAGS = -Dcimg_display=0
@@ -152,84 +152,89 @@
 # (X11 is used by CImg to handle display windows)
 # !!! For 64bits systems : replace -L$(X11PATH)/lib by -L$(X11PATH)/lib64 !!!
 CIMG_X11_CFLAGS = -I$(X11PATH)/include
-CIMG_X11_LDFLAGS = -L$(X11PATH)/lib -lpthread -lX11
+CIMG_X11_LIBS = -L$(X11PATH)/lib -lpthread -lX11
 
 # Flags to enable fast image display, using the XSHM library (when using X11).
 # !!! Seems to randomly crash when used on MacOSX and 64bits systems, so use it only when necessary !!!
 CIMG_XSHM_CFLAGS = # -Dcimg_use_xshm
-CIMG_XSHM_LDFLAGS = # -lXext
+CIMG_XSHM_LIBS = # -lXext
 
 # Flags to enable GDI32 display (Windows native).
 CIMG_GDI32_CFLAGS = -mwindows
-CIMG_GDI32_LDFLAGS = -lgdi32
+CIMG_GDI32_LIBS = -lgdi32
 
 # Flags to enable screen mode switching, using the XRandr library (when using X11).
 # ( http://www.x.org/wiki/Projects/XRandR )
 # !!! Not supported by the X11 server on MacOSX, so do not use it on MacOSX !!!
 CIMG_XRANDR_CFLAGS = -Dcimg_use_xrandr
-CIMG_XRANDR_LDFLAGS = -lXrandr
+CIMG_XRANDR_LIBS = -lXrandr
 
 # Flags to enable native support for PNG image files, using the PNG library.
 # ( http://www.libpng.org/ )
 CIMG_PNG_CFLAGS = -Dcimg_use_png
-CIMG_PNG_LDFLAGS = -lpng -lz
+CIMG_PNG_LIBS = -lpng -lz
 
 # Flags to enable native support for JPEG image files, using the JPEG library.
 # ( http://www.ijg.org/ )
 CIMG_JPEG_CFLAGS = -Dcimg_use_jpeg
-CIMG_JPEG_LDFLAGS = -ljpeg
+CIMG_JPEG_LIBS = -ljpeg
 
 # Flags to enable native support for TIFF image files, using the TIFF library.
 # ( http://www.libtiff.org/ )
 CIMG_TIFF_CFLAGS = -Dcimg_use_tiff
-CIMG_TIFF_LDFLAGS = -ltiff
+CIMG_TIFF_LIBS = -ltiff
 
 # Flags to enable native support for MINC2 image files, using the MINC2 library.
 # ( http://en.wikibooks.org/wiki/MINC/Reference/MINC2.0_Users_Guide )
 CIMG_MINC2_CFLAGS = -Dcimg_use_minc2 -I${HOME}/local/include
-CIMG_MINC2_LDFLAGS = -lminc_io -lvolume_io2 -lminc2 -lnetcdf -lhdf5 -lz -L${HOME}/local/lib
+CIMG_MINC2_LIBS = -lminc_io -lvolume_io2 -lminc2 -lnetcdf -lhdf5 -lz -L${HOME}/local/lib
 
 # Flags to enable native support for EXR image files, using the OpenEXR library.
 # ( http://www.openexr.com/ )
 CIMG_EXR_CFLAGS = -Dcimg_use_openexr -I/usr/include/OpenEXR
-CIMG_EXR_LDFLAGS = -lIlmImf -lHalf
+CIMG_EXR_LIBS = -lIlmImf -lHalf
 
 # Flags to enable native support for various video files, using the FFMPEG library.
 # ( http://www.ffmpeg.org/ )
 CIMG_FFMPEG_CFLAGS = -Dcimg_use_ffmpeg -D__STDC_CONSTANT_MACROS -I/usr/include/libavcodec -I/usr/include/libavformat -I/usr/include/libswscale -I/usr/include/ffmpeg
-CIMG_FFMPEG_LDFLAGS = -lavcodec -lavformat -lswscale
+CIMG_FFMPEG_LIBS = -lavcodec -lavformat -lswscale
 
 # Flags to enable native support for compressed .cimgz files, using the Zlib library.
 # ( http://www.zlib.net/ )
 CIMG_ZLIB_CFLAGS = -Dcimg_use_zlib
-CIMG_ZLIB_LDFLAGS = -lz
+CIMG_ZLIB_LIBS = -lz
+
+# Flags to enable native support for downloading files from the network.
+# ( http://curl.haxx.se/libcurl/ )
+CIMG_CURL_CFLAGS = -Dcimg_use_curl
+CIMG_CURL_LIBS = -lcurl
 
 # Flags to enable native support of most classical image file formats, using the Magick++ library.
 # ( http://www.imagemagick.org/Magick++/ )
 CIMG_MAGICK_CFLAGS = -Dcimg_use_magick `Magick++-config --cppflags` `Magick++-config --cxxflags`
-CIMG_MAGICK_LDFLAGS = `Magick++-config --ldflags` `Magick++-config --libs`
+CIMG_MAGICK_LIBS = `Magick++-config --ldflags` `Magick++-config --libs`
 
 # Flags to enable faster Discrete Fourier Transform computation, using the FFTW3 library
 # ( http://www.fftw.org/ )
 CIMG_FFTW3_CFLAGS = -Dcimg_use_fftw3
 ifeq ($(OSTYPE),msys)
-CIMG_FFTW3_LDFLAGS = -lfftw3-3
-else
-CIMG_FFTW3_LDFLAGS = -lfftw3 -lfftw3_threads
+CIMG_FFTW3_LIBS = -lfftw3-3
+else
+CIMG_FFTW3_LIBS = -lfftw3 -lfftw3_threads
 endif
 
 # Flags to enable the use of LAPACK routines for matrix computation
 # ( http://www.netlib.org/lapack/ )
 CIMG_LAPACK_CFLAGS = -Dcimg_use_lapack
-CIMG_LAPACK_LDFLAGS = -lblas -lg2c -llapack
+CIMG_LAPACK_LIBS = -lblas -lg2c -llapack
 
 # Flags to enable the use of the Board library
 # ( http://libboard.sourceforge.net/ )
 CIMG_BOARD_CFLAGS = -Dcimg_use_board -I/usr/include/board
-CIMG_BOARD_LDFLAGS = -lboard
+CIMG_BOARD_LIBS = -lboard
 
 # Flags to compile on Sun Solaris
-CIMG_SOLARIS_LDFLAGS = -R$(X11PATH)/lib -lrt -lnsl -lsocket
+CIMG_SOLARIS_LIBS = -R$(X11PATH)/lib -lrt -lnsl -lsocket
 
 # Flags to compile GIMP plug-ins.
 ifeq ($(MSYSTEM),MINGW32)
@@ -243,7 +248,7 @@
 	@echo
 	@echo "** Compiling '$* ($(CIMG_VERSION))' with '$(CCVER)'"
 	@echo
-	$(CC) -o $(EXEPFX)$* $< $(CFLAGS) $(CONF_CFLAGS) $(LDFLAGS) $(CONF_LDFLAGS)
+	$(CC) -o $(EXEPFX)$* $< $(CFLAGS) $(CONF_CFLAGS) $(LIBS) $(CONF_LIBS)
 ifeq ($(STRIP_EXE),true)
 ifeq ($(MSYSTEM),MINGW32)
 	strip $(EXEPFX)$*.exe
@@ -301,10 +306,10 @@
 $(CIMG_TIFF_CFLAGS) \
 $(CIMG_X11_CFLAGS) \
 $(CIMG_XSHM_CFLAGS)" \
-"CONF_LDFLAGS = \
-$(CIMG_X11_LDFLAGS) \
-$(CIMG_TIFF_LDFLAGS) \
-$(CIMG_XSHM_LDFLAGS)" \
+"CONF_LIBS = \
+$(CIMG_X11_LIBS) \
+$(CIMG_TIFF_LIBS) \
+$(CIMG_XSHM_LIBS)" \
 all $(CIMG_EXTRA_FILES)
 
 # Linux/BSD/Mac OSX targets, with X11 display.
@@ -315,9 +320,9 @@
 $(CIMG_VT100_CFLAGS) \
 $(CIMG_X11_CFLAGS) \
 $(CIMG_XSHM_CFLAGS)" \
-"CONF_LDFLAGS = \
-$(CIMG_X11_LDFLAGS) \
-$(CIMG_XSHM_LDFLAGS)" \
+"CONF_LIBS = \
+$(CIMG_X11_LIBS) \
+$(CIMG_XSHM_LIBS)" \
 all
 
 dlinux:
@@ -328,9 +333,9 @@
 $(CIMG_VT100_CFLAGS) \
 $(CIMG_X11_CFLAGS) \
 $(CIMG_XSHM_CFLAGS)" \
-"CONF_LDFLAGS = \
-$(CIMG_X11_LDFLAGS) \
-$(CIMG_XSHM_LDFLAGS)" \
+"CONF_LIBS = \
+$(CIMG_X11_LIBS) \
+$(CIMG_XSHM_LIBS)" \
 all
 
 olinux:
@@ -342,20 +347,10 @@
 $(CIMG_VT100_CFLAGS) \
 $(CIMG_X11_CFLAGS) \
 $(CIMG_XSHM_CFLAGS)" \
-"CONF_LDFLAGS = \
-$(CIMG_X11_LDFLAGS) \
-$(CIMG_XSHM_LDFLAGS)" \
+"CONF_LIBS = \
+$(CIMG_X11_LIBS) \
+$(CIMG_XSHM_LIBS)" \
 "STRIP_EXE=true" \
 all
 
 mlinux:
-	@$(MAKE) \
-"CONF_CFLAGS = \
-$(CIMG_ANSI_CFLAGS) \
-$(CIMG_NODISPLAY_CFLAGS) \
-$(CIMG_OPT_CFLAGS)" \
-"STRIP_EXE=true" \
-all
-
-Mlinux:
-	@$(MAKE) \
