=== debian/changelog ===
cimg (1.6.5+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 08 Nov 2015 18:23:26 +0100
