=== debian/control ===
--- 
+++ 
@@ -14,8 +14,11 @@
                      libhighgui-dev,
                      libminc-dev,
                      libtiff5-dev,
-                     libtiffxx5
-Standards-Version: 3.9.5
+                     libtiffxx5,
+                     libcurl4-gnutls-dev | libcurl4-dev,
+                     texlive-latex-extra,
+                     texlive-fonts-recommended
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/cimg/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/cimg/trunk/
 Homepage: http://cimg.sourceforge.net/
@@ -54,7 +57,8 @@
 Package: cimg-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         libjs-jquery
 Enhances: cimg-dev
 Description: documentation of cimg-dev imaging library
  The CImg Library is a C++ toolkit providing simple classes and functions
