## cimg 1.7.8+dfsg

=== debian/changelog ===
cimg (1.7.8+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Adapt watch file to new tagging scheme
  * Move packaging from SVN to Git
  * cme fix dpkg-control
  * Use libgraphicsmagick++1-dev as main (Build-)Depends and leave
    libmagick++-dev only as alternative since examples are relying
    on graphicsmagick
  * update Build-Depends to libopencv-dev (Thanks for the patch to
    Nobuhiro Iwamatsu <iwamatsu@nigauri.org>)
    Closes: #841263
  * Fix build with Opencv 3.1 (Thanks for the patch to
    Nobuhiro Iwamatsu <iwamatsu@nigauri.org>)
    Closes: #841264
  * Versioned Build-Depends: doxygen >= 1.8.12
    Closes: #819606

 -- Andreas Tille <tille@debian.org>  Fri, 28 Oct 2016 14:41:43 +0200
