=== debian/control ===
--- 
+++ 
@@ -4,23 +4,22 @@
 Section: math
 Priority: optional
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: doxygen,
+Build-Depends-Indep: doxygen (>= 1.8.12),
                      libx11-dev,
                      libxrandr-dev,
-                     libmagick++-dev,
+                     libgraphicsmagick++1-dev | libmagick++-dev,
                      libfftw3-dev | fftw3-dev,
                      libgimp2.0-dev,
-                     libcv-dev,
-                     libhighgui-dev,
+                     libopencv-dev,
                      libminc-dev,
                      libtiff5-dev,
                      libtiffxx5,
                      libcurl4-gnutls-dev | libcurl4-dev,
                      texlive-latex-extra,
                      texlive-fonts-recommended
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/cimg/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/cimg/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/cimg.git/
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/cimg.git
 Homepage: http://cimg.sourceforge.net/
 
 Package: cimg-dev
@@ -34,7 +33,7 @@
           lapack3-dev,
           cimg-doc,
           cimg-examples,
-          libmagick++-dev,
+          libgraphicsmagick++1-dev | libmagick++-dev,
           libfftw3-dev | fftw3-dev,
           libgimp2.0-dev,
           libhighgui-dev,
@@ -81,7 +80,7 @@
 Section: doc
 Depends: ${misc:Depends}
 Recommends: cimg-dev,
-            libmagick++-dev,
+            libgraphicsmagick++1-dev | libmagick++-dev,
             libfftw3-dev | fftw3-dev,
             libgimp2.0-dev,
             libcv-dev,
