=== debian/watch ===
version=3
opts="uversionmangle=s/^(\d)(\d)(\d)$/$1.$2.$3/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/dtschump/CImg/releases .*/archive/v\.*(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
