## cimg 1.7.9%2Bdfsg

=== debian/changelog ===
cimg (1.7.9+dfsg-2ubuntu0.18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds Read
    - debian/patches/CVE-2018-7637-7638-7639-7640-7641.patch: Fix other issues
      in 'CImg<T>::load_bmp()'.
    - CVE-2018-7637
    - CVE-2018-7638
    - CVE-2018-7639
    - CVE-2018-7640
    - CVE-2018-7641
  * SECURITY UPDATE: Command Injection
    - debian/patches/CVE-2019-13568.patch: Fix buffer assigning.
    - debian/patches/CVE-2019-1010174.patch: Add string sanitization.
    - CVE-2019-13568
    - CVE-2019-1010174
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/0001-Fix-multiple-heap-buffer-overflows.patch: Fix
      multiple heap buffer overflows.

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Thu, 07 Oct 2021 19:11:30 +0000

cimg (1.7.9+dfsg-2ubuntu0.18.04.1) bionic-security; urgency=medium

  * SECURITY UPDATE: a double free in load_bmp in CImg.h can occur when
    loading a crafted bmp image
    - debian/patches/CVE-2018-7589_7588_7587.patch: add additional checks
      for malformed input in load_bmp()
    - CVE-2018-7589
    - CVE-2018-7588
    - CVE-2018-7587 

 -- Daniel Wang <daniel.wang@canonical.com>  Tue, 18 Jun 2019 12:21:31 -0700

cimg (1.7.9+dfsg-2build1) bionic; urgency=medium

  * No-change rebuild against OpenCV 3.2.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sun, 29 Oct 2017 12:25:23 +0100

cimg (1.7.9+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Mark cimg-doc and cimg-examples as Multi-Arch:foreign (from the m-a hinter).
  * Depend on libopencv-dev instead of libcv-dev, which is going away.
    Thanks to Steve Langasek for reporting and fixing it in Ubuntu.
    Closes: #865831

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 25 Jun 2017 12:45:10 +0200

cimg (1.7.9+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2016 19:45:02 +0100
